# -*- coding: utf-8 -*-
import grok
import zope.interface
from interfaces import IUniversity 

grok.context(zope.interface.Interface)

class Index(grok.View):
    """main structure for all pages"""
    grok.template('master')
    
    def __init__(self, context, request):#
        super(Index, self).__init__(context, request)

class Head(grok.ViewletManager):
    """additions to HTML head"""
    grok.name('head')

class Title(grok.Viewlet):
    grok.viewletmanager(Head)

class AppCSS(grok.Viewlet):
    grok.viewletmanager(Head)

class Header(grok.ViewletManager):
    grok.name('header')

class Logo(grok.Viewlet):
    grok.viewletmanager(Header)
    grok.order(1)

class NavigationBar(grok.Viewlet):
    grok.viewletmanager(Header)
    grok.order(2)
    
    def getSite(self):
        return grok.getSite()

class LeftSidebar(grok.ViewletManager):
    grok.name('left')

class AuthUser(grok.Viewlet):
    grok.viewletmanager(LeftSidebar)
    grok.view(Index)
    grok.order(1)

class Login(grok.Viewlet):
    grok.viewletmanager(LeftSidebar)
    grok.context(IUniversity)
    grok.view(Index)
    grok.order(2)

class MainArea(grok.ViewletManager):
    grok.name('main')


class Footer(grok.ViewletManager):
    grok.name('footer')

class Copyright(grok.Viewlet):
    grok.viewletmanager(Footer)
