import grok
from grok import index
from zope.interface import Interface
from interfaces import IUniversity
from setup import app_setup
from viewlets import MainArea

class University(grok.Application, grok.Container):
    grok.implements(IUniversity)

    def __init__(self, name=u'Unnamed', **kw):
        super(University, self).__init__(**kw)
        self.name = name
        app_setup.setup(self)

class Content(grok.Viewlet):
    grok.viewletmanager(MainArea)
    grok.context(IUniversity)


class Edit(grok.EditForm):
    grok.context(University)
    grok.AutoFields(IUniversity)
